Name:           __MKIT_PROJ_PKGNAME__
Version:        __MKIT_PROJ_VERSION__
Release:        1%{?dist}
Summary:        __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:            __MKIT_PROJ_VCS_BROWSER__
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  shellfu >= 0.10, shellfu < 0.11
BuildRequires:  shellfu-bash-saturnin >= 0.4.8, shellfu-bash-saturnin < 0.5.0

Requires:       shellfu >= 0.10, shellfu < 0.11
Requires:       shellfu-bash-saturnin >= 0.4.8, shellfu-bash-saturnin < 0.5.0
%description
saturnin is Shellfu library that helps you easily build toolkit from
various scripts that you may have lying around.  Instead of having a
herd of untamed undocumented and hard-to-share scripts, with help of
saturnin you can easily create and package a meta-command with a set
of discoverable and maintainable sub-commands.

This package contains a demo meta-command built with saturnin; you can
also re-use the source as template for your new toolkit.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    PATH="%{buildroot}/%{_bindir}:$PATH" \
    SATURNIN_CONF_PATH="%{buildroot}/%{_datadir}/%{name}/ini.d"

%files
%config %{_sysconfdir}/bash_completion.d/%{name}.bash
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ini.d
%dir %{_datadir}/%{name}/ini.d/main
%dir %{_libexecdir}/%{name}
%doc %{_docdir}/%{name}/README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/ini.d/main/echo.ini
%{_libexecdir}/%{name}/%{name}-dump
%{_libexecdir}/%{name}/%{name}-echo


%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
